---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: wp-mysql
spec:
  replicas: 1
  selector:
    matchLabels:
      app: wordpress
      tier: mysql
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: wordpress
        tier: mysql
    spec:
      containers:
      - name: mysql
        image: mysql:8.0.3
        # sha256:cf12c8d3b7bcff1c4395305e5a39e7d912bf81c59938a4f1c65c91ced66f985b
        env:
        - name: MYSQL_ROOT_PASSWORD
          value: "9876"
        - name: MYSQL_USER
          value: "wp"
        - name: MYSQL_PASSWORD
          value: "1234"
        - name: MYSQL_DATABASE
          value: "wp"
        ports:
        - containerPort: 3306
          name: mysql
